Server Ports
List Server Ports
GET /server/{server_id}/port
A list of Server Ports that are on the server.
Response 200: A list of Server Ports
| Field | Type | Description |
|---|---|---|
billing |
object | |
billing.date |
string | |
group |
object | |
group.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
group.name |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_billable |
boolean | |
mac |
string | |
name |
string | |
switch |
object | |
switch.port |
object |
Create Server Port
POST /server/{server_id}/port
Request body
| Field | Type | Required | Description |
|---|---|---|---|
billing |
object | yes | |
billing.date |
string | yes | |
group |
object | yes | |
group.id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
group.name |
string | yes | |
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
is_billable |
boolean | yes | |
mac |
string | yes | |
name |
string | yes | |
switch |
object | yes | |
switch.port |
object | yes |
Response 200: A Server Port
| Field | Type | Description |
|---|---|---|
billing |
object | |
billing.date |
string | |
group |
object | |
group.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
group.name |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_billable |
boolean | |
mac |
string | |
name |
string | |
switch |
object | |
switch.port |
object |
View Port Bandwidth
GET /server/{server_id}/port/{port_id}/bandwidth
A Server Port’s Bandwidth
Response 200: A Server Port’s Bandwidth
| Field | Type | Description |
|---|---|---|
data |
array | |
from_time |
integer | |
max_time |
integer | |
min_time |
integer | |
stats |
array | |
stats[].avg |
integer | |
stats[].max |
integer | |
stats[].min |
integer | |
stats[].nf |
integer | |
stats[].sum |
integer | |
status |
integer | |
to_time |
integer |
List Server Port Bandwidth Usage
GET /server/{server_id}/port/{port_id}/bandwidth/usage
A list of Server Port Bandwidth Usages.
Response 200: A list of Server Port Bandwidth Usages
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Create Server Port Bandwidth Usage
POST /server/{server_id}/port/{port_id}/bandwidth/usage
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | yes | Max Bandwidth in bits |
used |
integer | yes | Bandwidth used in bits |
Response 200: A Server Port
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Delete Server Port Bandwidth Usage
DELETE /server/{server_id}/port/{port_id}/bandwidth/usage/{usage_id}
Response 200: Server Port Bandwidth Usage Deleted Successfully
Response 404: Item not Found
Get Server Port Bandwidth Usage
GET /server/{server_id}/port/{port_id}/bandwidth/usage/{usage_id}
A Server Port Bandwidth Usage
Response 200: A Server Port Bandwidth Usage
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Edit Server Port Bandwidth Usage
PATCH /server/{server_id}/port/{port_id}/bandwidth/usage/{usage_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | yes | Max Bandwidth in bits |
used |
integer | yes | Bandwidth used in bits |
Response 200: A Server Port Bandwidth Usage
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | Max Bandwidth in bits |
used |
integer | Bandwidth used in bits |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | VirtlixCP-specific unique identifier used for URLs, etc. |
max |
integer | yes | Max Bandwidth in bits |
used |
integer | yes | Bandwidth used in bits |
Response 422: Unprocessable Entity
Delete Server Port Command
DELETE /server/{server_id}/port/{port_id}/command/{command_id}
Response 200: Server Port Command deleted.
Edit Server Port Command
PATCH /server/{server_id}/port/{port_id}/command/{command_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
command |
string | The command to run. Options include: power-off, power-on, sync-speed, sync-vlan |
Response 200: A server Port Command
Request body
| Field | Type | Required | Description |
|---|---|---|---|
command |
string | The command to run. Options include: power-off, power-on, sync-speed, sync-vlan |
Response 422: Bad Request
Delete Server Port
DELETE /server/{server_id}/port/{server_port_id}
Response 200: Server Port deleted.
View Server Port
GET /server/{server_id}/port/{server_port_id}
Response 200: A Server Port
| Field | Type | Description |
|---|---|---|
billing |
object | |
billing.date |
string | |
group |
object | |
group.id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
group.name |
string | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
is_billable |
boolean | |
mac |
string | |
name |
string | |
switch |
object | |
switch.port |
object |
Run Switch Command
POST /server/{server_id}/port/{server_port_id}/command
Request body
| Field | Type | Required | Description |
|---|---|---|---|
command |
string | The command to run. Options include: power-off, power-on, sync-speed, sync-vlan |
Response 209: Command created